Create a Conference

Create an empty Conference within the specified account. Making a Conference takes a short period of time. A 202 status code is returned if the Conference request was successfully queued by FreeClimb.

The waitUrl must remain accessible to FreeClimb until the conference is Terminated.

Further details about specific parameters can be found below:

statusCallbackUrl

The status of a conference will be reported to the statusCallbackUrl when:

  • The empty Conference is created, changing it to the empty status
  • The first participant joins the Conference, changing it to the populated status
  • The first participant whose startConfOnEnter property is set to true joins, changing it to the inProgress status
  • The last participant leaves the conference, changing it to the empty status

Participants can be added to a Conference once the statusCallbackUrl is invoked, signifying the Conference has been created and is empty. When a populated or inProgress Conference is terminated, this URL is called twice — once when the Conference becomes empty and then again when it is terminated.

🚧

This is a notification only. Any PerCL returned by the application is ignored.

The statusCallbackUrl is invoked using HTTP POST with the following parameters (in addition to the standard request parameters).

ParameterDescription
conferenceIdID of the conference created.
statusThe new status of the conference. Valid values: empty, populated, inProgress, terminated, or internalError. If an error occurs, the request can be retried. If it fails again, FreeClimb support should be contacted. Note there is no status callback posted for creating because the 202 response serves that purpose.
recordingUrlURL of the Conference’s recorded audio file. Populated only if a recording exists and the Conference was emptied.
recordingIdID of the recording from the Conference. Populated only if a recording exists and the Conference was emptied.
recordingDurationSecThe duration of the recorded audio (in seconds), rounded up to the nearest second. Populated only if a recording exists and the Conference was emptied.
Path Params
string
required

ID of the account that created this Conference.

Body Params
string

A description for this Conference. Maximum 64 characters.

string
Defaults to always

Controls when a beep is played. Valid values: always, never, entryOnly, exitOnly.

boolean

Setting to true records each call in the entire Conference. Note that setting this option to true may result in multiple recordings per conference. This parameter can be updated.

string

If specified, a URL for the audio file that provides custom hold music for the Conference when it is in the populated state. Otherwise, FreeClimb uses a system default audio file. This is always fetched using HTTP GET and must remain accessible to FreeClimb until the conference is Terminated.

string
required

This URL is invoked when the status of the Conference changes. For more information, see statusCallbackUrl above.

Response

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json